Table of Contents

Class: AppConfiguratorPage | Twisted-0.19.0/twisted/coil/web.py
--- | ---
### A web configuration interface for Twisted. This configures the toplevel application.
Base Classes |
--- | ---
widgets.Presentation
Methods |
--- | ---
__init__ configWidget displayTree displayTreeElement makeConfigMenu makeConfigurable pluginLoader prePresent reloadDispensers
| __init__
    __init__ ( self,  application )
| configWidget
    configWidget ( self,  request )
Render the config part of the widget.
| displayTree
    displayTree (
            self,
            write,
            request,
            )
| displayTreeElement
    displayTreeElement (
            self,
            write,
            inName,
            inPath,
            collection,
            indentLevel=0,
            )
| makeConfigMenu
    makeConfigMenu ( self,  interface )
Make a menu for adding a new object to a collection.
| makeConfigurable
    makeConfigurable (
            self,
            cfgInfo,
            container,
            name,
            )
Create a new configurable to a container, based on input from web form.
Exceptions |
--- | ---
ValueError, "Unrecognized command %r in cfgInfo %r" %( cmd, cfgInfo )
| pluginLoader
    pluginLoader ( self )
| prePresent
    prePresent ( self,  request )
| reloadDispensers
    reloadDispensers ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:33 2002 by HappyDoc version 2.0